de.esprit.netsuite.client.activity.transfer

## Class IOClientFileDownloadConnection<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.activity.transfer.ClientTransferConnection<C>
        - - de.esprit.netsuite.client.activity.transfer.ClientFileDownloadConnection<C>
          - - de.esprit.netsuite.client.activity.transfer.IOClientFileDownloadConnection<C>

- All Implemented Interfaces:
    ApplicationObject<C>, CancellableTask, SimpleLogSupport, Dumpable, ClientObject<C>

      public class IOClientFileDownloadConnection<C extends ClientContext>
      extends ClientFileDownloadConnection<C>

  This class ...
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.netsuite.client.activity.transfer.ClientTransferConnection

      `TRANSFER_BUFF_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOClientFileDownloadConnection(C clientCtx, FileTransferJob job, StreamWrapper streamWrapper, FileTransferClientTask transferTask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeConnection()` Closes all socket streams as well as the socket itself.
    `protected java.io.InputStream` | `getReceiveStream()`
    `protected java.io.OutputStream` | `getSendStream()`
    `protected void` | `openConnection(ServerHost host, StreamWrapper streamWrapper)`
    `protected java.lang.Object` | `readObject()`
    `protected void` | `shutdownInput()`
    `protected void` | `shutdownOutput()`
    `protected void` | `writeObject(java.lang.Object obj)`

    - ### Methods inherited from class de.esprit.netsuite.client.activity.transfer.ClientFileDownloadConnection

      `execute, getClientFileInfo, getTransferJob`

    - ### Methods inherited from class de.esprit.netsuite.client.activity.transfer.ClientTransferConnection

      `checkCancelled, fireReadProgress, getClientFile, getConnectionInfo, getFileLength, getServerFile, getServerFileInfo, isTransferZipped, setFileLength, setProgressingTask, startTransfer, toString, wasCancelled, wasFoundZippedOnServer`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

- - ### Constructor Detail

    - #### IOClientFileDownloadConnection

          public IOClientFileDownloadConnection(C clientCtx,
                                        FileTransferJob job,
                                        StreamWrapper streamWrapper,
                                        FileTransferClientTask transferTask)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### openConnection

          protected void openConnection(ServerHost host,
                            StreamWrapper streamWrapper)
                                 throws java.lang.Exception

      Specified by:
        `openConnection` in class `ClientTransferConnection<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### getSendStream

          protected java.io.OutputStream getSendStream()

      Specified by:
        `getSendStream` in class `ClientTransferConnection<C extends ClientContext>`

    - #### getReceiveStream

          protected java.io.InputStream getReceiveStream()

      Specified by:
        `getReceiveStream` in class `ClientTransferConnection<C extends ClientContext>`

    - #### shutdownInput

          protected void shutdownInput()
                                throws java.io.IOException

      Specified by:
        `shutdownInput` in class `ClientTransferConnection<C extends ClientContext>`
      Throws:
        `java.io.IOException`

    - #### shutdownOutput

          protected void shutdownOutput()
                                 throws java.io.IOException

      Specified by:
        `shutdownOutput` in class `ClientTransferConnection<C extends ClientContext>`
      Throws:
        `java.io.IOException`

    - #### writeObject

          protected void writeObject(java.lang.Object obj)
                              throws java.lang.Exception

      Specified by:
        `writeObject` in class `ClientTransferConnection<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### readObject

          protected java.lang.Object readObject()
                                         throws java.lang.Exception

      Specified by:
        `readObject` in class `ClientTransferConnection<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### closeConnection

          public void closeConnection()

      Description copied from class: `ClientTransferConnection`
      Closes all socket streams as well as the socket itself.
      Specified by:
        `closeConnection` in class `ClientTransferConnection<C extends ClientContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.